- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# pn_prefix_list_network – CLI command to add/remove prefix-list-network

New in version 2.8.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- This module is used to add network associated with prefix list and remove networks associated with prefix list.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
pn_cliswitch string |  | Target switch to run the CLI on.
pn_name string |  | Prefix List Name.
pn_netmask string |  | netmask of the network associated the prefix list.
pn_network string |  | network associated with the prefix list.
state string / required | Choices: present absent | State the action to perform. Use `present` to create prefix-list-network and `absent` to delete prefix-list-network.

## Examples

    - name: prefix list network add
      pn_prefix_list_network:
        pn_cliswitch: "sw01"
        pn_name: "foo"
        pn_network: "172.16.3.1"
        pn_netmask: "24"
        state: "present"

    - name: prefix list network remove
      pn_prefix_list_network:
        pn_cliswitch: "sw01"
        state: "absent"
        pn_name: "foo"
        pn_network: "172.16.3.1"
        pn_netmask: "24"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | indicates whether the CLI caused changes on the target.
command string | always | the CLI command run on the target node.
stderr list | on error | set of error responses from the prefix-list-network command.
stdout list | always | set of responses from the prefix-list-network command.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Pluribus Networks (@rajaspachipulusu17)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.